@echo off

IF NOT EXIST C:\Saturn~1\SET_ELF.BAT goto satorb_alternate

@REM Set SaturnOrbit environment from normal installation directory (C:\SaturnOrbit\)
echo Set SaturnOrbit environment from C:\SaturnOrbit\
REM CALL ..\libgcc_path.bat
COPY C:\Saturn~1\SET_ELF.BAT .\TMP.BAT
set ip_path=C:/SaturnOrbit/COMMON/IP_GAS/IP_elf.BIN
goto satorb_end

:satorb_alternate
@REM Set SaturnOrbit environment from alternate installation directory (D:\dev\SaturnOrbit\)
@REM Useful when your C: drive is nearly full.
echo Set SaturnOrbit environment from D:\dev\SaturnOrbit\
REM CALL ..\libgcc_path.bat alternate
COPY D:\dev\Saturn~1\SET_ELF.BAT .\TMP.BAT
set ip_path=D:/dev/SaturnOrbit/COMMON/IP_GAS/IP_elf.BIN
goto satorb_end

:satorb_end
IF NOT EXIST TMP.BAT exit
CALL TMP.BAT
DEL TMP.BAT


cmd /k

